%if 0%{?fedora}
# There are some missing deps
%global with_python3 0
%endif

%global pypi_name os-brick

Name:           python-%{pypi_name}
Version:        0.5.0
Release:        2%{?dist}
Summary:        OpenStack Cinder brick library for managing local volume attaches

License:        ASL 2.0
URL:            http://www.openstack.org/
Source0:        https://pypi.python.org/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

# patches_base=0.5.0+2
Patch0001: 0001-Fix-test_connect_volume-when-skip-is-bypassed.patch
Patch0002: 0002-Fix-iopsLimit-parameter-in-ScaleIO-connector.patch
Patch0003: 0003-Fix-cmd-execution-stderr-stdout-unicode-errors.patch

BuildArch:      noarch

Provides:       python2-%{pypi_name} = %{version}-%{release}
Provides:       os-brick = %{version}-%{release}

Requires:       python-babel >= 1.3
Requires:       python-oslo-serialization >= 1.4.0
Requires:       python-oslo-concurrency >= 2.3.0
Requires:       python-oslo-i18n >= 1.5.0
Requires:       python-oslo-log >= 1.8.0
Requires:       python-oslo-service >= 0.7.0
Requires:       python-oslo-utils >= 2.0.0
Requires:       python-requests >= 2.5.2
Requires:       python-retrying
Requires:       python-six >= 1.9.0

BuildRequires:  python2-devel
BuildRequires:  python-pbr
BuildRequires:  python-sphinx
BuildRequires:  python-oslo-concurrency  >= 2.3.0
BuildRequires:  python-oslo-i18n >= 1.5.0
BuildRequires:  python-oslo-log >= 1.8.0
BuildRequires:  python-oslo-service >= 0.7.0
BuildRequires:  python-oslo-sphinx >= 2.5.0
BuildRequires:  python-requests >= 2.5.2
BuildRequires:  python-six >= 1.9.0
BuildRequires:  python-setuptools

%description
OpenStack Cinder brick library for managing local volume attaches

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        OpenStack Cinder brick library for managing local volume attaches
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-babel >= 1.3
Requires:       python3-oslo-serialization >= 1.4.0
Requires:       python3-oslo-concurrency >= 2.3.0
Requires:       python3-oslo-i18n >= 1.5.0
Requires:       python3-oslo-log >= 1.8.0
Requires:       python3-oslo-service >= 0.7.0
Requires:       python3-oslo-utils >= 2.0.0
Requires:       python3-requests >= 2.5.2
Requires:       python3-retrying
Requires:       python3-six >= 1.9.0

BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-sphinx
BuildRequires:  python3-oslo-concurrency  >= 2.3.0
BuildRequires:  python3-oslo-i18n >= 1.5.0
BuildRequires:  python3-oslo-log >= 1.8.0
BuildRequires:  python3-oslo-service >= 0.7.0
BuildRequires:  python3-oslo-sphinx >= 2.5.0
BuildRequires:  python3-requests >= 2.5.2
BuildRequires:  python3-six >= 1.9.0
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
OpenStack Cinder brick library for managing local volume attaches

%endif

%prep
%setup -q -n %{pypi_name}-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1

%build
%{__python2} setup.py build
%if 0%{?with_python3}
%py3_build
%endif

%install
%{__python} setup.py install --skip-build --root %{buildroot}
# generate html docs
sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%if 0%{?with_python3}
%py3_install
%endif

# Move config files to proper location
install -d -m 755 %{buildroot}%{_datarootdir}/%{pypi_name}/rootwrap
mv %{buildroot}/usr/etc/os-brick/rootwrap.d/*.filters %{buildroot}%{_datarootdir}/%{pypi_name}/rootwrap

%files
%license LICENSE
%doc html README.rst
%{python2_sitelib}/os_brick*
%{_datarootdir}/%{pypi_name}

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%license LICENSE
%doc html README.rst
%{python3_sitelib}/os_brick*
%{_datarootdir}/%{pypi_name}
%endif

%changelog
* Tue Aug 30 2016 Eric Harney <eharney@redhat.com> 0.5.0-2
- ScaleIO: Fix iopsLimit parameter (RHBZ #1366592)
- Fix cmd execution unicode errors (RHBZ #1371695)

* Thu Nov 05 2015 Jon Schlueter <jschluet@redhat.com> 0.5.0-1.4
- revert to python-XXX with provides python2-XXX

* Wed Oct 28 2015 Jon Schlueter <jschluet@redhat.com> 0.5.0-1.3
- add back in provides os-brick since openstack-cinder depends on that name

* Tue Oct 27 2015 Jon Schlueter <jschluet@redhat.com> 0.5.0-1.2
- fix provide to be python-os-brick instead of just os-brick

* Tue Oct 27 2015 Jon Schlueter <jschluet@redhat.com> 0.5.0-1.1
- reverted py2_build and py2_install to older forms

* Wed Sep 30 2015 Javier Peña <jpena@redhat.com> - 0.5.0-1
- Bumped to upstream 0.5.0.
- Disabling python3 subpkg due to missing dependencies.
- Set min requirements and own directories.
* Tue Sep 15 2015 Javier Peña <jpena@redhat.com> - 0.4.0-1
- Initial package.
